org.apache.ignite.ml.dataset.primitive.data

## Class SimpleLabeledDatasetData

- java.lang.Object
- - org.apache.ignite.ml.dataset.primitive.data.SimpleLabeledDatasetData

- All Implemented Interfaces:
    AutoCloseable

      public class SimpleLabeledDatasetData
      extends Object
      implements AutoCloseable

  A partition `data` of the `SimpleLabeledDataset` containing matrix of features in flat column-major format stored in heap and vector of labels stored in heap as well.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleLabeledDatasetData(double[] features, double[] labels, int rows)` Constructs a new instance of partition `data` of the `SimpleLabeledDataset` containing matrix of features in flat column-major format stored in heap and vector of labels stored in heap as well.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `double[]` | `getFeatures()`
    `double[]` | `getLabels()`
    `int` | `getRows()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLabeledDatasetData

          public SimpleLabeledDatasetData(double[] features,
                                          double[] labels,
                                          int rows)

      Constructs a new instance of partition `data` of the `SimpleLabeledDataset` containing matrix of features in flat column-major format stored in heap and vector of labels stored in heap as well.
      Parameters:
        `features` - Matrix with features in a dense flat column-major format.
        `labels` - Vector with labels.
        `rows` - Number of rows.

  - ### Method Detail

    - #### getFeatures

          public double[] getFeatures()

    - #### getRows

          public int getRows()

    - #### getLabels

          public double[] getLabels()

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020